[Solved] Less Install Error: TypeError: this.getOptions is not a function

Project scenario:

use less development file


Problem Description:

less installation error

 Failed to compile with 1 error 
 Syntax Error: TypeError: this.getOptions is not a function

Cause analysis:

the current version does not match the less and less loader versions, and the less loader version needs to be replaced </ font>


Solution:

Install less version 4.1.1 and less loader version 7.3.0

<style scoped lang="less">
.wrapper{
	.header{...}
	.content{...}
}
</style>


Read More: